How to install Forticlient VPN on Ubuntu 22.04 LTS Jammy Jellyfish | vetechno

How to install Forticlient VPN on Ubuntu 22.04 LTS Jammy Jellyfish | vetechno
How to install Forticlient VPN on Ubuntu 22.04 LTS Jammy Jellyfish | vetechno

 

In this blog post, we are going to install latest version of FortiClient VPN Client on Ubuntu 22.04 LTS. The Free FortiClient VPN Application allows you to create a secure Virtual Private Network (VPN) connection using SSL VPN “Tunnel Mode” or IPSec connections between your device or machine and FortiGate Firewall. Your connections are fully encrypted and all the traffic will be sent over the secure tunnel.

Also Read:

* Install Cisco Anyconnect VPN on Ubuntu 18.04 and Ubuntu 20.04 LTS
* How do I install FortiClient VPN on Ubuntu 18.04 LTS
* How do I install FortiClient VPN on Ubuntu 20.04 LTS

This FortiClient VPN client can be installed on Ubuntu Operating System as well using the DEB binary or directly from the Fortinet Ubuntu repos. It can be installed on all major Operating systems like Windows, macOS, and Linux/Ubuntu Operating systems.


To install FortiClient VPN Client on Ubuntu 20.04 LTS and Ubuntu 18.04 LTS or other Ubuntu releases using the DEB binary file, move to FortiClient downloads page and download the DEB binary installer file.


FortiClient VPN Supported Features


– IPSec and SSLVPN “Tunnel Mode”
– Two-factor Authentication using FortiToken
– Client Certificates
– English, Chinese, Japanese, and Korean Language Support 
– The VPN-only version of FortiClient offers SSL VPN and IPSecVPN, but does not include any support.

Prerequisites


Need sudo / root privileges

Let’s do download the .deb file from the fortinet official website.


Step1. Click here to download .deb file

Step2. Go to download folder and double click on forticlient_vpn file.

It will automatically install on your system.

vikash@vetechno:~$ wget https://filestore.fortinet.com/forticlient/downloads/forticlient_vpn_7.0.0.0018_amd64.deb
--2022-03-27 00:49:56--  https://filestore.fortinet.com/forticlient/downloads/forticlient_vpn_7.0.0.0018_amd64.deb
Resolving filestore.fortinet.com (filestore.fortinet.com)... 66.35.23.97
Connecting to filestore.fortinet.com (filestore.fortinet.com)|66.35.23.97|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 72721126 (69M) [application/x-debian-package]
Saving to: ‘forticlient_vpn_7.0.0.0018_amd64.deb’

forticlient_vpn_7.0.0.0018_amd64.deb    100%[=============================================================================>]  69.35M  3.79MB/s    in 27s     

2022-03-27 00:50:23 (2.59 MB/s) - ‘forticlient_vpn_7.0.0.0018_amd64.deb’ saved [72721126/72721126]

vikash@vetechno:~$ sudo dpkg -i forticlient_vpn_7.0.0.0018_amd64.deb
[sudo] password for vikash: 
Selecting previously unselected package forticlient.
(Reading database ... 177121 files and directories currently installed.)
Preparing to unpack forticlient_vpn_7.0.0.0018_amd64.deb ...
Unpacking forticlient (7.0.0.0018) ...
dpkg: dependency problems prevent configuration of forticlient:
 forticlient depends on libappindicator1 (>> 0); however:
  Package libappindicator1 is not installed.
 forticlient depends on libgconf-2-4 (>> 0); however:
  Package libgconf-2-4 is not installed.

dpkg: error processing package forticlient (--install):
 dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for mailcap (3.70+nmu1ubuntu1) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu2) ...
Processing triggers for desktop-file-utils (0.26-1ubuntu2) ...
Errors were encountered while processing:
 forticlient
vikash@vetechno:~$ sudo apt install -f
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  gconf-service gconf-service-backend gconf2-common libappindicator1 libdbusmenu-gtk4 libgconf-2-4
Suggested packages:
  indicator-application
The following NEW packages will be installed:
  gconf-service gconf-service-backend gconf2-common libappindicator1 libdbusmenu-gtk4 libgconf-2-4
0 upgraded, 6 newly installed, 0 to remove and 18 not upgraded.
1 not fully installed or removed.
Need to get 915 kB of archives.
After this operation, 8,314 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu jammy/main amd64 libdbusmenu-gtk4 amd64 16.04.1+18.10.20180917-0ubuntu7 [30.9 kB]
.
.
.
.
.
.
.
vikash@vetechno:~$ 

Now launch Forticlient VPN

Installing FortiClient VPN via Terminal on Ubuntu 22.04 LTS

Step1. Add gpg key repo.

wget -O - https://repo.fortinet.com/repo/6.4/ubuntu/DEB-GPG-KEY | sudo apt-key add -
Step2. Now Add the following line in /etc/apt/sources.list

deb [arch=amd64] https://repo.fortinet.com/repo/ubuntu/ /bionic multiverse

Step3. Then update package list.

sudo apt update 

Step4. Install latest FortiClient VPN

sudo apt install forticlient


Now launch Forticlient VPN from show Application.

Conclusion

Congratulation you have successfully installed the latest Forticlient VPN on Ubuntu 22.04 LTS Operating system. Please let me know in the comment box if you are facing any issue when you are installing. 
Happy Learning… !!!

2 comments

Leave a Reply

Your email address will not be published.